> For the complete documentation index, see [llms.txt](https://docs.denvrdata.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.denvrdata.com/docs/api-reference/images.md).

# Images

## GET /api/v1/servers/images/GetOperatingSystemImages

> Get a list of operating sytem images available for the tenant

```json
{"openapi":"3.0.4","info":{"title":"DenvrCloud API","version":"v1"},"tags":[{"name":"servers/images"}],"paths":{"/api/v1/servers/images/GetOperatingSystemImages":{"get":{"tags":["servers/images"],"summary":"Get a list of operating sytem images available for the tenant","operationId":"ApiV1ServersImagesGetoperatingsystemimagesGet","responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ListResultDtoOfOperatingSystemImage"}},"application/json":{"schema":{"$ref":"#/components/schemas/ListResultDtoOfOperatingSystemImage"}},"text/json":{"schema":{"$ref":"#/components/schemas/ListResultDtoOfOperatingSystemImage"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"ListResultDtoOfOperatingSystemImage":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/OperatingSystemImage"},"nullable":true}},"additionalProperties":false},"OperatingSystemImage":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"name":{"type":"string","nullable":true},"distribution":{"type":"string","nullable":true},"version":{"type":"string","nullable":true}},"additionalProperties":false}}}}
```
